#
# Conditional build:
#
%define		qt_ver		4.8.3

Summary:	Attica Library - implementation of Open Collaboration Services API for Qt
Summary(pl.UTF-8):	Attica Library - implementacja API Serwisów Otwartej Współpracy dla Qt
Name:		attica
Version:	0.4.2
Release:	1
License:	GPL
Group:		X11/Libraries
# svn co svn://anonsvn.kde.org/home/kde/trunk/kdesupport/attica/
Source0:	ftp://ftp.kde.org/pub/kde/stable/attica/%{name}-%{version}.tar.bz2
# Source0-md5:	d62c5c9489a68432e8d990dde7680c24
URL:		http://www.kde.org/
BuildRequires:	QtCore-devel >= %{qt_ver}
BuildRequires:	QtGui-devel >= %{qt_ver}
BuildRequires:	QtNetwork-devel >= %{qt_ver}
BuildRequires:	QtXml-devel >= %{qt_ver}
BuildRequires:	automoc4 >= 0.9.84
BuildRequires:	cmake >= 2.8.0
BuildRequires:	qt4-build >= %{qt_ver}
BuildRequires:	qt4-qmake >= %{qt_ver}
BuildRequires:	rpmbuild(macros) >= 1.600
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Attica is a Qt library that implements the Open Collaboration Services
API. It grants easy access to the services such as querying
information about persons and contents.

%description -l pl.UTF-8
Attica jest biblioteką Qt, która implementuje API Serwisów Otwartej
Współpracy. Pozwala na łatwy dostęp do serwisów takich jak zapytania o
informacje o osobach i treściach.

%package devel
Summary:	Header files for attica library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki attica
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for attica library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki attica.

%prep
%setup -q

%build
install -d build
cd build
%cmake ..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p	/sbin/ldconfig
%postun	-p	/sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libattica.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libattica.so.0.4

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libattica.so
%{_includedir}/attica
%{_pkgconfigdir}/libattica.pc
%changelog
* Thu Jun 13 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/attica.git;a=log;h=master

* Thu Jun 13 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 6fbc5c2
- up to 0.4.2

* Sat Nov 03 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> da616d1
- up to 0.4.1

* Sun Jun 10 2012 blekot <blekot@pld-linux.org> edc84c8
- up to 0.4.0

* Tue Dec 27 2011 Elan Ruusamäe <glen@pld-linux.org> 82be1b7
- do track soname versions

* Mon Dec 26 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 93574ea
- up to 0.3.0

* Tue Nov 15 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 49fe21a
- up to 0.2.9

* Fri Jan 21 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 90f1f24
- up to 0.2.0

* Wed May 19 2010 shadzik <shadzik@pld-linux.org> f0c9885
- 0.1.4

* Thu May 06 2010 shadzik <shadzik@pld-linux.org> def57ac
- 0.1.3

* Sun Feb 21 2010 shadzik <shadzik@pld-linux.org> dd1e8d5
- rel 2

* Sat Jan 30 2010 shadzik <shadzik@pld-linux.org> c82cda8
- up to 0.1.2 stable

* Fri Dec 11 2009 shadzik <shadzik@pld-linux.org> d0eaef1
- don't fuck up BRs!
- [shadzik@moana rpm]$ ./qtbrs.sh attica-0.1.1-svn1060455/
  BuildRequires:	QtCore-devel >= 4.6.0
  BuildRequires:	QtGui-devel >= 4.6.0
  BuildRequires:	QtNetwork-devel >= 4.6.0
  BuildRequires:	QtXml-devel >= 4.6.0

* Fri Dec 11 2009 Bartłomiej Zimoń <cactus@pld-linux.org> 627dee4
- proper rel

* Fri Dec 11 2009 Bartłomiej Zimoń <cactus@pld-linux.org> 88b4062
- up to 0.1.1 svn 1060455
- remove BR: QtGui-devel
- use wildcards in files section
- add more description

* Fri Dec 04 2009 shadzik <shadzik@pld-linux.org> 4ffb37e
- add %post and %postun
- rel .2

* Thu Dec 03 2009 shadzik <shadzik@pld-linux.org> 83dc1ca
- cut off unneeded BRs

* Thu Dec 03 2009 shadzik <shadzik@pld-linux.org> af9e604
- init

